Subject: bug#2957: 23.0.92; ucs-insert: Completion does not work correctly with Unicode Character Name Input

From: Ashutosh Mehra <[email-masked]>
Date: Mon, 13 Apr 2009 13:12:41 +0530

>>> BUG DESCRIPTION:
>>> When I type the following:
>>> C-x 8 RET greek letter alpha
>>> and press TAB, I get several choices for the greek letter alpha
>>> variants.  But I'm unable to type anything into the minibuffer (neither
>>> SPC nor any character) -- Emacs just doesn't accept the input.
>
> I understand that SPC would signal an error, but any normal character
> should be inserted in the minibuffer just fine.  Do you really mean that
> you can't type anything in the minibuffer, or just that anything you
> type will later lead to a completion failure or to the error you mention:

Yes, any normal character would get inserted (but not SPC). Sorry for
the ambiguity.

Also, I have to confess, I never noticed that partial completion
inserted an extra space in the middle of "GREEK LETTER ALPHA" for me
to type in CAPITAL/SMALL.

> Actually, it's a problem with minibuffer-complete-word which sometimes
> wants partial completion and sometimes doesn't.
> The patch below provides an alternative way to choose between using
> partial-completion and not, which is finer-grained and should fix the
> above problem without reintroducing the problems it tried to fix,

Stefan, I have emacs pretest 23.0.92.1, and could not apply your patch
cleanly (~170 lines appear to have been added in your
lisp/minibuffer.el before the first hunk, and the "string-match" was
"string-match-p" in my version of minibuffer.el). So, I applied the
changes manually, but the original behavior persisted. Emacs doesn't
let me type a SPC (unless I use C-q SPC) after the partial input
"GREEK LETTER ALPHA". I will anyway try out the coming pretests.

Thanks Andreas and Stefan for looking into this so quickly.

Ashutosh